PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

void CORE_dlaed0_betaapprox | ( | int | subpbs,
|  | const int * | subpbs_info,
|  | double * | D,
|  | const double * | E
| ) |  |

CORE_dlaed0_betaapprox - compute the rank-1 approximation for each subproblem. When a larger problem is split into two subproblems, the last diagonal element of the first subproblem and the first diagonal element of the second subproblem are set to D[i]-E[i+1]

Parameters

  [in] | subpbs | specifies the number of merge to be done at the leaf of the tree
  [in] | subpbs_info | subpbs_info[i] is the position of the first eigenvalue of the ith eigenproblem.
  [in,out] | D | On entry, D contains the diagonal elements of the two submatrices to be merged. On exit, D contains the updated rank-1 approximated diagonal elements.
  [in] | E | E contains the extra-diagonal elements of the two submatrices to be merged.